#include "Timer.h"

#include <windows.h>

double Timer::Ticks()
{
   __int64 CurrentTime;
   __int64 Frequency;

	QueryPerformanceFrequency((LARGE_INTEGER*)&Frequency);
	QueryPerformanceCounter((LARGE_INTEGER*)&CurrentTime);

	return (double)CurrentTime / (double)Frequency;
}

void Timer::Pause(double p)
{
   double StopTime = Timer::Ticks() + p;
   while(Timer::Ticks() < StopTime);
}